Skip to main content

Download Skill Package

Returns an OSS pre-signed URL (file_url) valid for 2 hours. You can directly GET this URL to download the zip package content.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

GET /skills/{skill_id}/versions/{version}/content

Request example

curl "$AGENTSTUDIO_URL/skills/skill_xxx/versions/1.0/content" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "skill_id": "skill_xxx",
  "version": "1.0",
  "file_url": "https://<oss-bucket>.oss-cn-xxx.aliyuncs.com/...?Expires=...&Signature=YOUR_SIGNATURE",
  "request_id": "xxx"
}

Response fields

FieldTypeDescription
skill_idstringSkill ID
versionstringVersion number
file_urlstringOSS pre-signed download URL, valid for 2 hours
request_idstringUnique request identifier
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration